# Uses of Class
org.codehaus.janino.Java.AbstractClassDeclaration

Packages that use Java.AbstractClassDeclaration
Package
Description
org.codehaus.janino
The core of the Janino Java compiler.
org.codehaus.janino.samples
Sample applications for the Janino Java compiler.
org.codehaus.janino.util
Application-independent helper classes.

## Uses of Java.AbstractClassDeclaration in org.codehaus.janino

Subclasses of Java.AbstractClassDeclaration in org.codehaus.janino
Modifier and Type
Class
Description
`static final class`
`Java.AnonymousClassDeclaration`
Representation of a JLS7 15.9.5 "anonymous class declaration".
`static final class`
`Java.EnumConstant`
Representation of an "enum constant", see JLS7 8.9.1.
`static final class`
`Java.LocalClassDeclaration`
Representation of a "local class declaration" i.e.
`static class`
`Java.MemberClassDeclaration`
Representation of a "member class declaration", i.e.
`static final class`
`Java.MemberEnumDeclaration`
Representation of a "member enum declaration", i.e.
`static class`
`Java.NamedClassDeclaration`
Base for the various named class declarations.
`static class`
`Java.PackageMemberClassDeclaration`
Implementation of a "package member class declaration", a.k.a.
`static final class`
`Java.PackageMemberEnumDeclaration`
Implementation of a "package member enum declaration", a.k.a.
Methods in org.codehaus.janino that return Java.AbstractClassDeclaration
Modifier and Type
Method
Description
`Java.AbstractClassDeclaration`
Java.ConstructorDeclarator.`getDeclaringClass()`
Methods in org.codehaus.janino with parameters of type Java.AbstractClassDeclaration
Modifier and Type
Method
Description
`void`
Parser.`parseClassBody(Java.AbstractClassDeclaration classDeclaration)`
ClassBody := '{' { ClassBodyDeclaration } '}'
`void`
Parser.`parseClassBodyDeclaration(Java.AbstractClassDeclaration classDeclaration)`
ClassBodyDeclaration := ';' | ModifiersOpt ( Block | // Instance (JLS7 8.6) or static initializer (JLS7 8.7) 'void' Identifier MethodDeclarationRest | 'class' ClassDeclarationRest | 'interface' InterfaceDeclarationRest | ConstructorDeclarator | [ TypeArguments ] Type Identifier MethodDeclarationRest | Type Identifier FieldDeclarationRest ';' )
`void`
Unparser.`unparseClassDeclarationBody(Java.AbstractClassDeclaration cd)`
Generates Java code from a `Java.AbstractClassDeclaration`.

## Uses of Java.AbstractClassDeclaration in org.codehaus.janino.samples

Methods in org.codehaus.janino.samples with parameters of type Java.AbstractClassDeclaration
Modifier and Type
Method
Description
`void`
DeclarationCounter.`traverseClassDeclaration(Java.AbstractClassDeclaration cd)`

## Uses of Java.AbstractClassDeclaration in org.codehaus.janino.util

Methods in org.codehaus.janino.util with parameters of type Java.AbstractClassDeclaration
Modifier and Type
Method
Description
`void`
AbstractTraverser.`traverseClassDeclaration(Java.AbstractClassDeclaration cd)`
`void`
Traverser.`traverseClassDeclaration(Java.AbstractClassDeclaration cd)`